void Rover5Mecanum()
{
  datapack[0]=1;                        // Basic Configuration
  datapack[1]=0;                        // I²C or serial command
  datapack[2]=2;                        // Mecanum wheel configuration
  datapack[3]=60;                       // low battery = 6V
  datapack[4]=250;                      // M1 max current = 2.5A
  datapack[5]=250;                      // M2 max current = 2.5A
  datapack[6]=250;                      // M3 max current = 2.5A
  datapack[7]=250;                      // M4 max current = 2.5A
  datapack[8]=0;                        // I²C address offset
  datapack[9]=1;                        // I²C external master address
  Wire.beginTransmission(ComMotion);
  Wire.write(datapack,10);
  Wire.endTransmission();
  delay(1000);

  datapack[0]=2;                        // Encoder Configuration
  datapack[1]=33;                       // All RPM high byte                  8500rpm
  datapack[2]=52;                       // All RPM  low byte
  datapack[3]=0;                        // Encoder resolution x100 high byte  2 x100
  datapack[4]=200;                      // Encoder resolution x100  low byte
  datapack[5]=10;                       // All reserve power
  datapack[6]=20;                       // All stall times
  Wire.beginTransmission(ComMotion);
  Wire.write(datapack,7);
  Wire.endTransmission();
  delay(100);
  IRC=0;
  return;
}

